<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS/include/AVSCommon/AVS/AVSMessageHeader.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a></li><li class="navelem"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">AVSMessageHeader.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;string&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for AVSMessageHeader.h:</div>
<div class="dyncontent">
<div class="center"><img src="_a_v_s_message_header_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_a_v_s_message_header_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_a_v_s_message_header_8h" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_a_v_s_message_header_8h">
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_a_v_s_message_header_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_a_v_s_message_header_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_a_v_s_message_header_8hdep" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_a_v_s_message_header_8hdep">
<area shape="rect" id="node2" href="_a_v_s_message_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/include\l/AVSCommon/AVS/AVSMessage.h" alt="" coords="4160,105,4389,157"/>
<area shape="rect" id="node43" href="_alerts_capability_agent_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/test/AlertsCapability\lAgentTest.cpp" alt="" coords="4222,532,4402,597"/>
<area shape="rect" id="node50" href="_a_v_s_message_header_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/AVSMessageHeader.cpp" alt="" coords="4477,105,4658,157"/>
<area shape="rect" id="node3" href="_a_v_s_directive_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/include\l/AVSCommon/AVS/AVSDirective.h" alt="" coords="3029,205,3256,257"/>
<area shape="rect" id="node46" href="_a_v_s_message_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/AVSMessage.cpp" alt="" coords="4171,205,4352,257"/>
<area shape="rect" id="node47" href="_metrics_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/include/AVSCommon/Utils\l/Metrics.h" alt="" coords="4258,652,4438,717"/>
<area shape="rect" id="node4" href="_directive_processor_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/include/ADSL\l/DirectiveProcessor.h" alt="" coords="1326,539,1495,591"/>
<area shape="rect" id="node16" href="_a_d_s_l_2test_2_a_d_s_l_2_mock_directive_sequencer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/test/ADSL/MockDirective\lSequencer.h" alt="" coords="1655,659,1891,711"/>
<area shape="rect" id="node17" href="_a_v_s_directive_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/AVSDirective.cpp" alt="" coords="3503,312,3684,364"/>
<area shape="rect" id="node18" href="_directive_handler_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/DirectiveHandlerInterface.h" alt="" coords="1013,419,1253,484"/>
<area shape="rect" id="node23" href="_bluetooth_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/include/Bluetooth\l/Bluetooth.h" alt="" coords="4046,652,4234,717"/>
<area shape="rect" id="node27" href="_speaker_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/SpeakerManager/include\l/SpeakerManager/SpeakerManager.h" alt="" coords="4462,652,4706,717"/>
<area shape="rect" id="node30" href="_speech_synthesizer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/SpeechSynthesizer/include\l/SpeechSynthesizer/SpeechSynthesizer.h" alt="" coords="3028,652,3297,717"/>
<area shape="rect" id="node34" href="_directive_sequencer_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/DirectiveSequencerInterface.h" alt="" coords="2756,532,2996,597"/>
<area shape="rect" id="node41" href="_directive_handler_result_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/DirectiveHandlerResultInterface.h" alt="" coords="2302,305,2543,371"/>
<area shape="rect" id="node44" href="_j_s_o_n_util_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/test/JSONUtilTest.cpp" alt="" coords="3708,312,3868,364"/>
<area shape="rect" id="node45" href="_m_r_m_handler_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/MRM/include/MRM/MRMHandlerInterface.h" alt="" coords="3139,425,3423,477"/>
<area shape="rect" id="node5" href="_directive_sequencer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/include/ADSL\l/DirectiveSequencer.h" alt="" coords="2108,659,2278,711"/>
<area shape="rect" id="node14" href="_directive_processor_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/src/DirectiveProcessor.cpp" alt="" coords="1135,665,1382,704"/>
<area shape="rect" id="node15" href="_directive_processor_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/test/DirectiveProcessor\lTest.cpp" alt="" coords="1406,659,1631,711"/>
<area shape="rect" id="node6" href="_directive_sequencer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/src/DirectiveSequencer.cpp" alt="" coords="2889,785,3140,824"/>
<area shape="rect" id="node7" href="_message_interpreter_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/test/MessageInterpreter\lTest.cpp" alt="" coords="1809,779,2039,831"/>
<area shape="rect" id="node8" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="3235,772,3463,837"/>
<area shape="rect" id="node9" href="_alerts_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlertsIntegrationTest.cpp" alt="" coords="1335,779,1507,831"/>
<area shape="rect" id="node10" href="_alexa_directive_sequencer_library_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlexaDirectiveSequencerLibrary\lTest.cpp" alt="" coords="541,772,757,837"/>
<area shape="rect" id="node11" href="_audio_input_processor_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AudioInputProcessorIntegration\lTest.cpp" alt="" coords="793,772,1004,837"/>
<area shape="rect" id="node12" href="_audio_player_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AudioPlayerIntegrationTest.cpp" alt="" coords="2290,779,2499,831"/>
<area shape="rect" id="node13" href="_speech_synthesizer_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/SpeechSynthesizerIntegration\lTest.cpp" alt="" coords="2062,772,2265,837"/>
<area shape="rect" id="node19" href="_mock_directive_handler_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/test/common\l/MockDirectiveHandler.h" alt="" coords="1136,539,1301,591"/>
<area shape="rect" id="node20" href="_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/include\l/AVSCommon/AVS/CapabilityAgent.h" alt="" coords="3135,539,3377,591"/>
<area shape="rect" id="node32" href="_handler_and_policy_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/include\l/AVSCommon/AVS/HandlerAndPolicy.h" alt="" coords="31,539,286,591"/>
<area shape="rect" id="node33" href="_handler_and_policy_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/test\l/HandlerAndPolicyTest.cpp" alt="" coords="109,659,293,711"/>
<area shape="rect" id="node39" href="_test_directive_handler_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/include\l/Integration/TestDirectiveHandler.h" alt="" coords="786,659,1011,711"/>
<area shape="rect" id="node40" href="_test_exception_encountered_sender_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/include\l/Integration/TestExceptionEncountered\lSender.h" alt="" coords="512,652,762,717"/>
<area shape="rect" id="node21" href="_audio_input_processor_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AIP/include/AIP/AudioInputProcessor.h" alt="" coords="2748,659,3004,711"/>
<area shape="rect" id="node25" href="_interaction_model_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/InteractionModel/include\l/InteractionModel/InteractionModel\lCapabilityAgent.h" alt="" coords="3540,645,3766,724"/>
<area shape="rect" id="node26" href="_m_r_m_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/MRM/include/MRM/MRMCapability\lAgent.h" alt="" coords="3790,652,4023,717"/>
<area shape="rect" id="node22" href="_audio_input_processor_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AIP/src/AudioInputProcessor.cpp" alt="" coords="3487,779,3707,831"/>
<area shape="rect" id="node24" href="_bluetooth_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/src/Bluetooth.cpp" alt="" coords="3731,779,3919,831"/>
<area shape="rect" id="node28" href="_speaker_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/SpeakerManager/src/SpeakerManager.cpp" alt="" coords="4520,779,4799,831"/>
<area shape="rect" id="node29" href="_speaker_manager_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/SpeakerManager/test/Speaker\lManagerTest.cpp" alt="" coords="4824,772,5029,837"/>
<area shape="rect" id="node31" href="_speech_synthesizer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/SpeechSynthesizer/src\l/SpeechSynthesizer.cpp" alt="" coords="3943,772,4107,837"/>
<area shape="rect" id="node35" href="_message_interpreter_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/include/ADSL\l/MessageInterpreter.h" alt="" coords="1915,659,2085,711"/>
<area shape="rect" id="node37" href="_a_v_s_common_2_s_d_k_interfaces_2test_2_a_v_s_common_2_s_d_k_interfaces_2_mock_directive_sequencer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/test/AVSCommon/SDKInterfaces\l/MockDirectiveSequencer.h" alt="" coords="2505,652,2724,717"/>
<area shape="rect" id="node38" href="_registration_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/RegistrationManager\l/include/RegistrationManager\l/RegistrationManager.h" alt="" coords="3321,652,3516,717"/>
<area shape="rect" id="node36" href="_message_interpreter_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/src/MessageInterpreter.cpp" alt="" coords="2584,785,2834,824"/>
<area shape="rect" id="node42" href="_mock_directive_handler_result_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/test/AVSCommon/SDKInterfaces\l/MockDirectiveHandlerResult.h" alt="" coords="3774,419,3994,484"/>
<area shape="rect" id="node48" href="_event_builder_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/EventBuilder.cpp" alt="" coords="4131,779,4312,831"/>
<area shape="rect" id="node49" href="_metrics_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/Metrics.cpp" alt="" coords="4336,779,4496,831"/>
</map>
</div>
</div>
<p><a href="_a_v_s_message_header_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_message_header.html">alexaClientSDK::avsCommon::avs::AVSMessageHeader</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1avs"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html">alexaClientSDK::avsCommon::avs</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
